include: 'https://gitlab.com/lt-qcom-gitlab-ci/lt-qcom-oe/lt-qcom-oe-rpb-manifest-poll/-/raw/master/oe-rpb-manifest-poll.yml'

variables:
  DOWNSTREAM_PROJECT_ID:
    value: '37476046'
    description: 'Downstream Project ID. Defaults to https://gitlab.com/lt-qcom-gitlab-ci/lt-qcom-oe/lt-qcom-oe'
  MANIFEST_URL:
    value: 'https://github.com/96boards/oe-rpb-manifest.git'
    description: 'OE RPB Manifest repository'
  MANIFEST_BRANCH:
    value: 'qcom/honister'
    description: 'Branch name'
  IMAGES:
    value: 'rpb-console-image initramfs-tiny-image initramfs-test-image initramfs-test-full-image'
    description: 'YP images'
  IMAGES_RPB:
    value: 'rpb-desktop-image'
    description: 'YP RPB images'
  IMAGES_RPB_WAYLAND:
    value: 'rpb-weston-image'
    description: 'YP RPB Wayland'
  BUILD_SDK:
    value: ''
    description: 'Image SDK'
  SKIP_PERSIST:
    value: ''
    description: 'TODO'
  FORCE_TRIGGER_DOWNSTREAM_PROJECT:
    value: 'false'
    description: 'Forcer trigger downstream job even in manifest does not change'
  JFROG_UPLOAD_DRY_RUN:
    value: 'false'
    description: 'Boolean defining upload artifact dry-run'

stages:
  - polling

poll:
  extends: .poll_image
